Package weka.core.pmml.jaxbbindings

# Class AntecedentSequence

java.lang.Object
weka.core.pmml.jaxbbindings.AntecedentSequence

public class AntecedentSequence extends Object

Java class for AntecedentSequence element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="AntecedentSequence">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <group ref="{http://www.dmg.org/PMML-4_1}SEQUENCE"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AntecedentSequence()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `SequenceReference`
  `getSequenceReference()`
  Gets the value of the sequenceReference property.
  `Time`
  `getTime()`
  Gets the value of the time property.
  `void`
  `setSequenceReference(SequenceReference value)`
  Sets the value of the sequenceReference property.
  `void`
  `setTime(Time value)`
  Sets the value of the time property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AntecedentSequence

    public AntecedentSequence()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getSequenceReference

    public SequenceReference getSequenceReference()
    Gets the value of the sequenceReference property.
    Returns:
      possible object is `SequenceReference`

  - ### setSequenceReference

    public void setSequenceReference(SequenceReference value)
    Sets the value of the sequenceReference property.
    Parameters:
      `value` - allowed object is `SequenceReference`

  - ### getTime

    public Time getTime()
    Gets the value of the time property.
    Returns:
      possible object is `Time`

  - ### setTime

    public void setTime(Time value)
    Sets the value of the time property.
    Parameters:
      `value` - allowed object is `Time`